Archive

Posts Tagged ‘ubuntu’

spamc/spamd su ubuntu

dicembre 14, 2012 Commenti disabilitati

Ho configurato mutt + spamassassin e vorrei che spamassassin si attivasse da solo al boot, per farlo non ho trovato molto HOWTO in giro, quindi ho deciso di farne uno io.

Prima di tutto bisogna installare spamc, il client di spamassassin che ci permette di capire quando una mail è spam o no.

1. Installare spamc.

sudo aptitude install spamc

2. Quindi modifico /etc/default/spamassassin per abilitare al boot l’avvio di spamd. basta cambaiare nel file le seguenti info:

ENABLED=1

Per far aggiornare spamassassin automaticamente e farlo diventare piu’ esperto bisogna modificare anche questa variabile al fondo del file:

CRON=1

(in questo modo dovrebbe fare un sa-update ogni notte)

3. facciamo parire spamd:
Quote:

sudo /etc/init.d/spamassassin start

4. modificare il file ~/.procmailrc così da mandare tutto le mail marcate come spam nella cartella ~/spam/
Quote:

:0fw:spamassassin.lock
| /usr/bin/spamc
* ^X-Spam-Status: Yes
spam/

e con questo dovrebbe essere tutto.

This information was collected from the following places:
http://www.howtoforge.com/forums/showthread.php?t=28534
http://samat.org/pages/speeding-up-s…nd-ubuntu.html
http://spamassassin.apache.org/

Installazione Ubuntu

dicembre 5, 2012 Commenti disabilitati

Ieri ho fatto una bella lezione al Poli e lascio qui un ricordo delle slide dell’Installazione Ubuntu

Categorie:varie Tag:, , ,

Errore apt

gennaio 30, 2012 Commenti disabilitati

Errore di APT durante gli aggiornamenti di sistema:

mi da quest’errore:

BADSIG 40976EAF437D05B5

Soluzione :

sudo apt-get clean
sudo cd /var/lib/apt
sudo mv lists lists.old
sudo mkdir -p lists/partial
sudo apt-get clean apt-get update

import rhythmbox banshee

aprile 10, 2011 2 commenti

Banshee prevede l’import di tutti i file appartenenti a rhythmbox.
Ma non si può dire il contrario.

Il player musicale di Gnome non prevede nessun tipo di sincronizzazione con banshee quindi se abbiamo settato delle preferenze musicali nel nuovo mono player scopriamo di doverle risettare per rhythmbox.

Fino a quando non ho scoperto questo simpatico tool di importazione scritto da Wolfgang Steitz:
http://code.google.com/p/rhythmbox-banshee-import/source/browse/trunk/import.py?spec=svn4&r=4

 

Per usarlo è sufficiente dare i seguenti comandi

wget -c http://rhythmbox-banshee-import.googlecode.com/files/import-0.2.py

ln -s $HOME/.config/banshee-1/banshee.db .

ln -s $HOME/.local/share/rhythmbox/rhythmdb.xml .

python import-0.2.py

 

enjoy!

audio hp 620

agosto 29, 2010 Commenti disabilitati

Appena installata la mia ubuntu 10.4 sul mio notebook HP 620 scopro che l’audio non funziona…

Dopo molto cercare e varie prove ho trovato come configurare l’audio per farlo funzionare e bastano davvero pochi passi:

wget -c ftp://ftp.kernel.org/pub/linux/kernel/people/tiwai/snapshot/alsa-driver-snapshot.tar.gz
tar xvfz alsa-driver-snapshot.tar.gz && cd alsa-driver
./configure –enable-dynamic-minors
make && sudo make install-modules
echo ‘options snd_hda_intel model=hp-dv5’ | sudo tee -a /etc/modprobe.d/alsa-base.conf
sudo reboot

tnx to: ubuntu-forums

Categorie:linux Tag:, , ,

skype su karmic

gennaio 8, 2010 Commenti disabilitati

Di solito per mettere skype basta aggiungere i repository di medibuntu con questo semplice comando:

sudo wget –output-document=/etc/apt/sources.list.d/medibuntu.list http://www.medibuntu.org/sources.list.d/$(lsb_release -cs).list && sudo apt-get –quiet update && sudo apt-get –yes –quiet –allow-unauthenticated install medibuntu-keyring && sudo apt-get –quiet update

ma a quanto pare per la versione karmic medibuntu non ha ancora messo il pacchetto relativo. Lo possiamo facilmente verificare cercandolo con aptitude:

sudo aptitude search skype

e non si trova nulla…

Il perchè ? Skype è troppo complesso da mantenere usa pacchetti obsoleti OSS e il front-end grafico non usa le librerie aggiornate quindi è stato tolto da karmic in poi.

…ma intanto noi rimaniamo sempre senza skype quindi la cosa più utile in questo momento è scaricare direttamente dal loro sito la versione beta 2.1 assieme alle librerie richieste:

wget -c http://www.skype.com/go/getskype-linux-beta-ubuntu -o /tmp/skype-ubuntu-hardy_2.1.0.47-1_386.deb && sudo apt-get -y install libqt4-core libqt4-gui && sudo dpkg -i /tmp/skype-ubuntu-hardy_2.1.0.47-1_386.deb

In alternativa fate tutto da soli: [DOWLOAD SKYPE HERE] e quando proverete ad installare skype vi darà errore dicendo che mancano 2 librerie “libqt4-core libqt4-gui” cercatele e installatele con Synaptic (Il Gestore dei Pacchetti) ed il gioco è fatto.

La cosa utile di tutto cio’ è che a quanto pare nella nuova versione il volume e il microfono funzionino al volo. L’unico cambiamento che ho dovuto fare è stato aumentare il volume dalle preferenze per il volume in input.

stay tuned… 😉

Categorie:varie Tag:, , ,

google chrome

gennaio 2, 2010 Commenti disabilitati

E’ uscito google chrome anche per ubuntu 9.10 !

[dowload here]

Per il momento google chrome è ancora in fase beta, questo significa che non verrà messo nei repository di ubuntu.

Inoltre il codice sorgente non è ancora disponibile, il che vuol dire che se dovesse finire in una parte dei repository ubuntu o medibuntu finirà quasi certamente nel settore: non-free

Sicuramente è un browser potente, non c’è stato bisogno di installare nessuna dipendenza, flash e java sono stati riconosciuti.

Inoltre c’è la possibilità di modificare skins e font nativi del browser.

Per fare un piccolo esempio con flickr su firefox in questo momento non è possibile modificare la copertina di un set immediatamente perchè per un problema con il browser la copertina risulta coperta da una descrizione inutile. Provando con google chrome invece ho notato che la copertina si poteva vedere e cambiare tranquillamente.

Io sono per l’opensource, ma anche per la varietà. Le alternative rendono liberi e quindi anche se firefox è e resta un grande browser credo che google chrome farà il suo bel lavoro continuando così.

Categorie:varie Tag:, , ,